Skip to main content
PUT
/
apps
/
{appId}
/
region-settings
Update Application Region Settings
curl --request PUT \
  --url https://api.bunny.net/mc/apps/{appId}/region-settings \
  --header 'AccessKey: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "allowedRegionIds": [
    "DE",
    "UK",
    "US"
  ],
  "requiredRegionIds": [
    "DE"
  ],
  "maxAllowedRegions": 5,
  "nodeSelectors": {}
}
'
import requests

url = "https://api.bunny.net/mc/apps/{appId}/region-settings"

payload = {
"allowedRegionIds": ["DE", "UK", "US"],
"requiredRegionIds": ["DE"],
"maxAllowedRegions": 5,
"nodeSelectors": {}
}
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowedRegionIds: ['DE', 'UK', 'US'],
requiredRegionIds: ['DE'],
maxAllowedRegions: 5,
nodeSelectors: {}
})
};

fetch('https://api.bunny.net/mc/apps/{appId}/region-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>",
  "errors": [
    {
      "message": "<string>",
      "field": "<string>"
    }
  ],
  "id": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}
{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}
{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}
{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}

Authorizations

AccessKey
string
header
required

Please enter a valid personal API key.

Path Parameters

appId
string
required

The ID of the application

Body

Region settings to update

allowedRegionIds
string[] | null
Example:
["DE", "UK", "US"]
requiredRegionIds
string[] | null
Example:
["DE"]
maxAllowedRegions
integer<int32> | null
Example:

5

nodeSelectors
object | null

Response

Region settings updated successfully.

Last modified on June 26, 2026